Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1391544 - openvpn - support for OpenSSL v1.1
Summary: openvpn - support for OpenSSL v1.1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openvpn
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Sommerseth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1411812 (view as bug list)
Depends On: 1384135 1444994 1445349
Blocks: 1383740
TreeView+ depends on / blocked
 
Reported: 2016-11-03 14:02 UTC by Gwyn Ciesla
Modified: 2018-02-16 19:55 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1384135
Environment:
Last Closed: 2018-02-16 19:55:29 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2016-11-03 14:02 UTC, Gwyn Ciesla
no flags Details

Description Gwyn Ciesla 2016-11-03 14:02:55 UTC
Created attachment 1217015 [details]
build.log

Comment 1 Gwyn Ciesla 2016-11-03 14:03:14 UTC
https://community.openvpn.net/openvpn/ticket/759

Comment 2 Fedora Update System 2017-02-09 14:44:41 UTC
openvpn-2.4.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-669dbe8a47

Comment 3 Fedora Update System 2017-02-09 14:44:54 UTC
openvpn-2.4.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d1000d05d1

Comment 4 Fedora Update System 2017-02-09 21:52:57 UTC
openvpn-2.4.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d1000d05d1

Comment 5 Fedora Update System 2017-02-09 22:22:33 UTC
openvpn-2.4.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-669dbe8a47

Comment 6 Fedora End Of Life 2017-02-28 10:33:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 7 Fedora Admin XMLRPC Client 2017-03-14 12:15:49 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Nicolas FOURNIL 2017-03-15 13:04:12 UTC
Last patch in main tree (from emmanuel DELOGET) build with OpenSSL 1.1.0 like a charm !

Comment 9 David Sommerseth 2017-03-24 23:40:19 UTC
Patches from Emmanuel are being reviewed for inclusion.  Currently approx half of his patches have been merged (out of 15).  This is being tracked upstream.  Will update this bz again once there is a new release for official OpenSSL v1.1 support.

Comment 10 David Sommerseth 2017-04-24 20:52:11 UTC
*** Bug 1411812 has been marked as a duplicate of this bug. ***

Comment 11 David Sommerseth 2017-06-21 15:51:32 UTC
OpenSSL 1.1 support landed in OpenVPN v2.4.3.  As this arrived fairly close to the openvpn-2.4.3-1 release/build, I postponed switching to a later OpenVPN release.

But I have prepared a scratch build of openvpn-2.4.3-2.fc26 which is built against the default openssl-1.1.0f package in F-26.

The build can be found here:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20078586

Please test and report back.

Comment 12 David Sommerseth 2017-08-03 09:53:42 UTC
This ticket is against F-26, which I am planning to switch to OpenSSL 1.1 as well.  So re-opening it to keep the tracking.

Comment 13 David Sommerseth 2017-08-03 16:53:08 UTC
A fresh scratch build, for those wanting to test it quickly:

https://koji.fedoraproject.org/koji/taskinfo?taskID=21010373

Comment 14 David Sommerseth 2018-02-16 19:55:29 UTC
As of openvpn-2.4.3, OpenVPN is built against openssl-1.1.


Note You need to log in before you can comment on or make changes to this bug.